<mat-label>{{ label }}</mat-label>
<mat-form-field appearance="fill">
    <mat-select (onSelectionChange)="onSelectionChange.emit($event)" [placeholder]="label">
        <ng-container *ngIf="yet">
            <mat-option *ngFor="let option of options" [value]="option.value">
              {{ option.viewValue }}
            </mat-option>
          </ng-container>
    </mat-select>


</mat-form-field>

<div style="display:none" *ngIf="!yet">
    <ng-content></ng-content>
</div>